Subject: bug#7947: Does sh-script.el recognize new case grammar ; & and ; ; & ?

From: Glenn Morris <[email-masked]>
Date: Mon, 31 Jan 2011 17:50:00 -0500

Stefan Monnier wrote:

> Do you have a reference describing what it means

http://tiswww.case.edu/php/chet/bash/NEWS

This is a terse description of the new features added to bash-4.0
[...]

ee. The new `;&' case statement action list terminator causes
    execution to continue with the action associated with the next
    pattern in the statement rather than terminating the command.

ff. The new `;;&' case statement action list terminator causes the
    shell to test the next set of patterns after completing execution
    of the current action, rather than terminating the command.

So basically they can appear in place of ';;' and should be treated
exactly the same as ';;'.